The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Выпуск Python 2.7.17

20.10.2019 08:11

Доступен корректирующий выпуск Python 2.7.17, в котором отражены внесённые с марта этого года исправления ошибок. В новой версии также устранены три уязвимости в expat, httplib.InvalidURL и urllib.urlopen. Python 2.7.17 является предпоследним выпуском в ветке Python 2.7, поддержка которой будет прекращена в начале 2020 года.

  1. Главная ссылка к новости (https://www.mail-archive.com/p...)
  2. OpenNews: Выпуск языка программирования Python 3.8
  3. OpenNews: Релиз PyPy 7.2, реализации Python, написанной на языке Python
  4. OpenNews: Релиз Python 2.7
  5. OpenNews: Поддержка Python 2.7 продлена до 2020 года
Лицензия: CC-BY
Тип: Программы
Ключевые слова: python
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (48) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (1), 10:13, 20/10/2019 Скрыто модератором [﹢﹢﹢] [ · · · ]
  • –2 +/
     
     
  • 2.20, A.Stahl (ok), 13:44, 20/10/2019 Скрыто модератором
  • +2 +/
     

  • 1.2, Anonymoustus (ok), 10:45, 20/10/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +10 +/
    Вот это хорошо и правильно. Никаких изменений и улучшательств. Вангую ещё лет десять Пихтону серии 2,7.
     
     
  • 2.9, Аноним (9), 12:56, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Они теперь как Перл 5 золотой стандарт. Но там пошли дальше и Перл 6 назвали Раку. HR теперь так у будут 10 лет принимать на работу специалистов по перл, а не по раку.
     
     
  • 3.14, Anonymoustus (ok), 13:08, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > Они теперь как Перл 5 золотой стандарт. Но там пошли дальше и
    > Перл 6 назвали Раку. HR теперь так у будут 10 лет
    > принимать на работу специалистов по перл, а не по раку.

    Именно.

    Что касается Рака, то мне кажется, что у него нет будущего. Лично я не буду использовать язык с таким названием и, что важнее, с таким подходом к определению важных целей и задач проекта и к собственной мотивации. Пусть в Японии на нём пишут, раз его по-японски назвали. :)

     
     
  • 4.17, Аноним (17), 13:29, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Пусть в Японии на нём пишут

    У Японцев есть Ruby

     
     
  • 5.21, Anonymoustus (ok), 13:49, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Пусть в Японии на нём пишут
    > У Японцев есть Ruby

    Кроме тебя, конечно же, об этом никто не знал. Ты просветитель и благодедеть. Только ты забыл подписаться под своим благодеянием.

     
     
  • 6.25, то Аноним (?), 14:15, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Аноним - это звучит гордо.
     

  • 1.3, Галустян (?), 10:51, 20/10/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    Жаль что закапывают, шикарная версия.
     
     
  • 2.6, Аноним (-), 11:42, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +5 +/
    Гвидо ушел. Можно закапывать. Таки 19-й год. Есть куда более современные и удобные языки программирования.
     
     
  • 3.12, Аноним (9), 12:59, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Ты про джава скрипт?
     
     
  • 4.13, Анонимный аналитик (?), 13:02, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ruby же :}
     

  • 1.4, Аноним (4), 10:53, 20/10/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +5 +/
    > поддержка которой будет прекращена в начале 2020 года.

    нет
    2.7 будет жить вечно - как живет перл 5

     
     
  • 2.5, перловик (?), 11:00, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +4 +/
    Perl 5 развивается, в отличие от.
     
  • 2.7, Аноним (-), 11:43, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Не будет. Из дебианов его начали вырезать.
     
     
  • 3.15, Аноним (15), 13:19, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Таки со шляп начали
     
     
  • 4.34, Аноним (34), 18:42, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Со шляп уже закончили.
     
  • 3.39, Тот_Самый_Анонимус (?), 07:38, 21/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Значит дебиан помрёт, очевидно же.
     
     
  • 4.46, Аноним (46), 15:15, 22/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Из-за systemd.
     
  • 2.30, Аноним (30), 18:05, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Не как перл 5, а как кобол, алгол, фортран, дракон, си и прочее нeнyжнo.
     
     
  • 3.31, Аноним (31), 18:07, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >кобол ... фортран, дракон, си

    лол, перл то действительно ненужен в сравнении с этими

     

  • 1.8, Анонимно (?), 12:08, 20/10/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    Ну неужели на столько невозможно переписать всё под трёшку?
     
     
  • 2.10, Аноним (9), 12:56, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +8 +/
    Все принты переписать на скобочные версии? Ты в своём уме?
     
     
  • 3.16, Аноним (15), 13:20, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    С этим и сед справится. Ещё часть работы сделает six, но самые сложные куски - только руками.
     
  • 3.24, пофигу (?), 14:04, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Эх, если бы только в принтах было дело...
     
     
  • 4.26, Аноним (26), 14:21, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Это уже достаточно чтобы не заниматься портированием. Тег сарказм в это комментарии такой же как и там выше.
     
  • 2.18, kai3341 (ok), 13:37, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >  Ну неужели на столько невозможно переписать всё под трёшку?

    Свой собственный код несложно. Веселье начинается в сторонних библиотеках. Мне тут жаловались недавно, что проект на 2.7 пришлось стартовать, так как под 3 одна какая-то либа глючила. Пруфов не будет. Когда либа глючит у меня, это заканчивается моим merge request с исправлением глюка

     
     
  • 3.33, Аноним (30), 18:18, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Нет, все сторонние библиотеки портировать большй проблемы не составит. Проблема в том, что большая часть мейнтейнеров в опенсорсе - хамы с манией величия с позицией "Я - Диктатор-Император этого репозитория, повелеваю - либо оставить без внимания годами PR ничтожных холопов-контрибьютеров, добавляющие фичи, лично мне не нужные, либо отклонить их". Поэтому, если либа ещё не на python 3 - значит мейнтейнер сам python 3 не использует и скорее всего PR будет отклонён.


    Выход один - нужен эффективный механизм передачи управления репозитория от диктатора к федерации форков.

     
     
  • 4.40, Анонимно (?), 11:08, 21/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Тут RH недавно такого чувака подвинула, написав аналог его утилиты на трешке.
    Следующим шагом будет выпиливание двушки из дистров и признание его деприкейтед. Придется EPEL подключать что бы двойку поставить. Вот тогда может задергаются и совсем уж упорные.
     
  • 4.42, kai3341 (ok), 12:43, 21/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    > часть мейнтейнеров в опенсорсе - хамы с манией величия

    Арр. Есть такое. Сейчас сам доказываю мейнтейнерам Celery состоятельность своей точки зрения
    Не сказал бы, что они хамы с манией величия -- Celery и так дофига немаленький, а тут запрос на расширение API

     
  • 4.43, Аноним (43), 12:53, 21/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Выход один - нужен эффективный механизм передачи управления репозитория от диктатора к федерации форков.

    Давным-давно, в далеком-далеком гитхабе...

     
  • 2.19, Zulu (?), 13:43, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Питоний код раз плюнуть. А вот с closed-source C все плохо.

    python-P4 есть только под 2.7, например, и как заставить перфорсеров релизнуть версию под трешку, хрен знает.

     
  • 2.22, Anonymoustus (ok), 13:52, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Ну неужели на столько невозможно переписать всё под трёшку?

    Зачем и кто оплатит эту блажь? У миллионов людей «всё работает, не трожь».

     
  • 2.23, пофигу (?), 14:02, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Возможно.
    Но есть два важных фактора - время и деньги. Переписать - это потратить время на работу и деньги на  зарплату. Мне вот переписывать некогда - нужно поправлять существующий и делать новый код. 150 задач в багтрекере не просто так висят. А найти добровольца, который готов бесплатно «переписать всё под трёшку» пока пе получилось. Пойдёте?
     
     
  • 3.28, 3 (?), 16:39, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    добавь 151 задачу в трекер - переезд на 3.
     
     
  • 4.44, Mail23842 (?), 16:23, 21/10/2019 [^] [^^] [^^^] [ответить]  
  • +2 +/
    ... and close in 3 years "Will not fix"
     
  • 4.47, Аноним (46), 15:25, 22/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Эту задачу надо было ещё 10 лет назад добавить.
     
     
  • 5.49, пофигу (?), 09:17, 23/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Возможно; но тройка 10 лет назад была УГ.
    Плюс есть зависимости - одна из библиотек до сих пор не переехала на тройку.  
     
  • 3.37, Zulu (?), 00:03, 21/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Мне вот
    > переписывать некогда - нужно поправлять существующий и делать новый код.

    You're doing it wrong. Технический долг накапливается.


     
     
  • 4.50, пофигу (?), 09:32, 23/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    зависимость от двойки становится "долгом" только в контексте решения выпилить двойку.
    Т.е. это долг не технический, а политический. Вон, perl5 вроде как никто не собирается выпиливать из-за того что уже есть perl6.

     
     
  • 5.51, Zulu (?), 17:29, 24/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Перл-5 все же поддерживают, а питон-2 скоро прекратят. Конечно если ничего кроме базового питона не используется, это не важно, но обычный проект с собой тянет еще вагон библиотек, и внезапно оказаться с поломанной и неподдерживаемой не хочется.
     

  • 1.11, Аноним (9), 12:58, 20/10/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Просто питон 2 идеален и в обновлениях не нуждается. Как там питон 3 его чуть-чуть по производительности догнал?
     
     
  • 2.29, Аноним (29), 17:56, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Все еще проигрывает от 7 до 100 раз в зависимости от задачи
     
     
  • 3.32, Аноним (31), 18:12, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    В 3.7 вроде подтянули чутка, я сравнивал 3.4 и 3.6. Так вот 3.6 в 2 раза больше памяти потреблял и немного медленней (2.7 тоже сравнивал, не помню результат). Но объективно уже 10+ лет никто адекватный 2 питон не берёт для новых проектов.
     
     
  • 4.35, Аноним (34), 18:48, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > никто адекватный питон не берёт

    fxd

     
     
  • 5.36, Аноним (31), 20:06, 20/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Я использую для прототипирования и вебни, очень удобно. Есть несколько десктопных приложух на питоне - очень гибкие и удобные, легко писать плагины с новыми фичами. Но они доисторические и гуй подлагивает.
     
  • 3.45, userd (ok), 12:06, 22/10/2019 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Примерчик бы.
    или я опять не разглядел тега <сарказм>?
     
  • 2.48, Аноним (46), 15:26, 22/10/2019 [^] [^^] [^^^] [ответить]  
  • +/
    Железом можно догнать.
     

  • 1.41, Георгий (??), 12:06, 21/10/2019 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    >в 2020 закопают

    Наконец-то. Жду с 2012 года. Должен остаться только один стандарт.
    Хотя вот новшества в 3.8 настораживают.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру